import request from '@/utils/request'
const baseUrl = import.meta.env.VITE_APP_BASE_API
// 查询工艺文件制作错误次数统计列表
export function listProcessErrorStatistics(query) {
  return request({
    url:baseUrl + '/business/ProcessErrorStatistics/list',
    method: 'get',
    params: query
  })
}

// 查询工艺文件制作错误次数统计详细
export function getProcessErrorStatistics(id) {
  return request({
    url:baseUrl + '/business/ProcessErrorStatistics/' + id,
    method: 'get'
  })
}

// 新增工艺文件制作错误次数统计
export function addProcessErrorStatistics(data) {
  return request({
    url:baseUrl + '/business/ProcessErrorStatistics',
    method: 'post',
    data: data
  })
}

// 修改工艺文件制作错误次数统计
export function updateProcessErrorStatistics(data) {
  return request({
    url:baseUrl + '/business/ProcessErrorStatistics',
    method: 'put',
    data: data
  })
}

// 删除工艺文件制作错误次数统计
export function delProcessErrorStatistics(id) {
  return request({
    url: baseUrl +'/business/ProcessErrorStatistics/' + id,
    method: 'delete'
  })
}
